'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

var LOAD_I18N = '{% load i18n %}\n';

function postProcess(file) {
    if (_fs2.default.existsSync(file)) {
        // Discard everything before the extends
        // And add i18n loading (after extends if applicable)

        var contents = _fs2.default.readFileSync(file, 'utf8').toString();
        var modified = false;

        var extendsIndex = contents.indexOf('{% extends');

        if (extendsIndex !== -1) {
            // Discard everything before the extends
            contents = contents.substr(extendsIndex);
            // Find the last endblock
            var lastEndBlock = 0;
            while (true) {
                var endBlock = contents.indexOf('{% endblock %}', lastEndBlock);
                if (endBlock !== -1) {
                    lastEndBlock = endBlock + 14;
                } else {
                    break;
                }
            }
            if (lastEndBlock !== 0) {
                modified = true;
                contents = contents.substr(0, lastEndBlock);
            }
        }

        var transIndex = contents.indexOf('{% trans');
        var blockTransIndex = contents.indexOf('{% blocktrans %}');

        if (transIndex !== -1 || blockTransIndex !== -1) {
            // Check if extends was available, because loading should happen afterwards
            if (extendsIndex !== -1) {
                contents = contents.replace(/({% extends .+? %})/g, '$1\n' + LOAD_I18N);
            } else {
                contents = LOAD_I18N + contents;
            }
            modified = true;
        }

        if (modified) {
            _fs2.default.writeFileSync(file, contents);
        }
    }
}

exports.default = postProcess;


var argumentsCopy = [].concat(_toConsumableArray(process.argv));
delete argumentsCopy[0];
delete argumentsCopy[1];

argumentsCopy.forEach(postProcess);